Subject: New, fast Archie stylish SEARCH server
From: [email-masked] (Hugo Eide Gunnarsen)
Date: 20 Dec 1993 01:57:49 +0200
Newsgroups: comp.os.linux.announce

Today a new server for retrieval of file information all over the world
(yes, it is VERY similar to an Archie server) is up and running.

The most important first :

	This is only a Alfa version of this new SEARCH server.
	The server is strictly an experimental SEARCH server, and could
	not been seen Upton as stable.

	It might crash an burn ... (Will hopefully run in the
	period 17-27 dec. 93')

	Is not completely compatible with an Archie server.

	Only range search in regexp is supported ( in addition to . ).

	Only search for Item is supported.

	Will not be updated regularly.

And now the goodies ...

	About 10-1000 times faster than any Archie server.

	Hopefully the largest (amount of data stored).
	
	The cheapest ??? (Free :-)

And the at last the BUTS ...

	Yes, I use special HW to do this.

	The SEARCH server is running on a PC running Linux :-)

	I have developed a device driver that support this HW card,
	and the SEARCH server that uses this device driver.
	(Still talking about Linux).

Then before you want to try it out for your self :

	User Archie/Archie as an interface. I do not support 
	logins.

	The name of the server is "gugohu.pvv.unit.no".

	PLEASE, send me a mail if you find if fast/buggy or only
	are interested in how it works.

	The reason of this announcement is that I need to test it out
	before I can be relative sure if it works or not.

And then some test result (cut from my document).

All test is done from the same machine (and yes, it's closer to mine
then all the others). Numbers in parenthesis is the number of hits. Time 
are measured in seconds. 

The avarage search time for the SEARCH server was 0.4 sec.

Search term               & Method      & Max hits 
--------------------------&-------------&---------
gcc-2.[4-5].4             & Regexp      & 99       
twist                     & Subcase     & 99       
xtet42-2.01.tar.gz        & Exact       & 99       
terminator                & Substring   & 99       

Site                       & Regexp     & Subcase    & Exact      &
SubString  \\ \hline \hline 

gugohu.pvv.unit.no         &   0.3 (99) &   0.4 (99) &   0.3  (6) &
0.3 (95)

archie.edvz.uni-linz.ac.at & 110.6 (98) &  60.7 (75) &  33.7  (4) &
57.4  (4)
archie.doc.ic.ac.uk        &  11.5 (98) &   9.3 (61) &   0.3  (1) &
6.1 (59) 
archie.funet.fi            &  60.2  (-) &     -  (-) &     -  (-) &
-  (-)
archie.internic.net        &  21.3 (33) &  18.4 (53) &   2.6  (0) &
7.5 (41)
archie.kuis.kyoto-u.ac.jp  &  19.3 (76) &   5.9 (0)  &   5.6  (0) &
7.0  (4)
archie.luth.se             & 219.6 (98) &  99.3 (93) &  14.9  (4) &
92.2 (95)
archie.ncu.edu.tw          & 115.5  (5) &     -      &   2.8  (0) &
78.9 (94)
archie.nz                  &  11.5  (3) &  21.7 (11) &   1.5  (0) &
7.6  (5)
archie.rediris.es          &   7.8  (2) &  17.3  (1) &   3.8  (0) &
1.7  (0)
archie.rutgers.edu         & 351.0 (90) & 149.3      &   8.1  (2) &
61.7 (57)
archie.sogang.ac.kr        &  93.8  (-) &  55.5  (-) &   2.7  (5) &
32.2 (91)
archie.sura.net            &  18.5 (99) &  26.4      &   5.3      &
14.3 (37)
archie.switch.ch           & 148.2 (88) & 134.2 (93) &   1.2  (3) &
13.6 (96)
archie.th-darmstadt.de     &  60.1 (87) &     - (73) &   1.0  (3) &
61.8 (45)
archie.unipi.it            &  62.2 (13) &     - (35) &   0.9  (0) &
72.4 (18)
archie.univie.ac.at        &  22.5 (96) & 189.1 (56) &   5.4      &
67.6 (63)
archie.uqam.ca             &  22.0  (0) &   5.2 (17) &   0.7  (0) &
4.6 (14)
archie.wide.ad.jp          &  68.9 (99) &  42.4 (90) &   2.5  (1) &
63.6 (76)
worst                      & 219.6      & 189.1      &  33.7      &
92.2
best                       &   0.3      &   0.4      &   0.3      &
0.4

Hugo E. Gunnarsen
[email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.